sc::PointInputData(3)

NAME
sc::PointInputData - Contains data needed at each point by a DenFunctional.

SYNOPSIS

#include <functional.h>

  Public Types
enum { X = BatchElectronDensity::X, Y = BatchElectronDensity::Y, Z = BatchElectronDensity::Z }
enum { XX = BatchElectronDensity::XX, YX = BatchElectronDensity::YX, YY = BatchElectronDensity::YY, ZX = BatchElectronDensity::ZX, ZY = BatchElectronDensity::ZY, ZZ = BatchElectronDensity::ZZ }

  Public Member Functions
void compute_derived (int spin_polarized, int need_gradient, int need_hessian)
PointInputData (const SCVector3 &r_)

  Public Attributes
SpinData a
SpinData b
double gamma_ab
const SCVector3 & r

  Classes
struct SpinData

Detailed Description

Contains data needed at each point by a DenFunctional.

Author

Generated automatically by Doxygen for MPQC from the source code.